//
// Another event listener.  This one uses the getSource() function
// on the event data to choose the correct action.
//

public class MyDialog2 extends java.awt.Dialog implements ClickListener {
    public MyDialog2() {
	super( null, true );

	pb_1 = new PushButton( "pb_1" );
	pb_1.addClickListener( this );
	pb_2 = new PushButton( "pb_2" );
	pb_2.addClickListener( this );

	add( "Center", pb_1 );
	add( "South", pb_2 );
	pack();
    }

    public void click( ClickEvent event ) {
	Object source = event.getSource();

	if( source == pb_1 ){
	    System.out.println( "You clicked pb_1!" );
	} else if( source == pb_2 ){
	    System.out.println( "You clicked pb_2!" );
	}
    }

    private PushButton pb_1;
    private PushButton pb_2;

    public static void main( String args[] ) {
	MyDialog2 app = new MyDialog2();
	app.show();
    }
}

