//
// Another event listener.  This one uses event relays to redirect
// events to their proper handlers.
//

class pb_1_Relay implements ClickListener {
    public pb_1_Relay( MyDialog3 dlg ) { _target = dlg; }

    public void click( ClickEvent event ) {
		_target.pb_1_Click( event );
    }

    private MyDialog3 _target;
}

class pb_2_Relay implements ClickListener {
    public pb_2_Relay( MyDialog3 dlg ) { _target = dlg; }

    public void click( ClickEvent event ) {
	 _target.pb_2_Click( event );
    }

    private MyDialog3 _target;
}

public class MyDialog3 extends java.awt.Dialog {
    public MyDialog3() {
	super( null, true );

	pb_1 = new PushButton( "pb_1" );
	pb_1.addClickListener( new pb_1_Relay( this ) );
	pb_2 = new PushButton( "pb_2" );
	pb_2.addClickListener( new pb_2_Relay( this ) );

	add( "Center", pb_1 );
	add( "South", pb_2 );
	pack();
    }

    public void pb_1_Click( ClickEvent event ) {
	System.out.println( "You clicked pb_1!" );
    }

    public void pb_2_Click( ClickEvent event ) {
	System.out.println( "You clicked pb_2!" );
    }

    private PushButton pb_1;
    private PushButton pb_2;

    public static void main( String args[] ) {
	MyDialog3 app = new MyDialog3();
	app.show();
    }
}

