// NetLic.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CNetLicense dialog

#define ENTERING_GROUP 1

class CNetLicense : public CDialog
{
// Construction
public:
	CNetLicense(CWnd* pParent = NULL);   // standard constructor
	void SetID(WORD wSerialNumber, WORD wUserCount, HWND hParent);
	LONG m_lSessions;
	LONG m_lPlayers;
	HANDLE  hPlayerEvent;
	
	// Dialog Data
	//{{AFX_DATA(CNetLicense)
	enum { IDD = IDD_NETDIALOG };
	CListBox	m_UserList;
	CListBox	m_LB_Nets;
	CString	m_UserCount;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNetLicense)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CNetLicense)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnClose();
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	LPGUID m_lpGuidTCP;
	LPGUID m_lpGuidIPX;
	LPDIRECTPLAY  m_lpIDC;
	DPID   m_dwPlayer;
	BOOL m_bEnumNets;
	BOOL m_bFoundSession;
	LONG m_lSessionID;
	DPSESSIONDESC m_dpDesc;
	WORD m_wSerialNumber;
	WORD m_wUserCount;
	HWND m_hParent;
	BOOL m_bDontCheck;
	
	
	static BOOL CALLBACK EnumNetSup(LPGUID lpGuid, LPSTR lpDesc, DWORD dwMajorVersion, 
									DWORD dwMinorVersion, LPVOID lpv);
	
	static BOOL CALLBACK EnumNetSesssions(LPDPSESSIONDESC lpDPSGameDesc,
    		LPVOID lpContext, LPDWORD lpdwTimeOut, DWORD dwFlags);

	static BOOL CALLBACK EnumNetUsers( DPID pidID, LPSTR lpFriendlyName,
		LPSTR lpFormalName, DWORD dwFlags, LPVOID lpContext);

	static void ProcessMessage(CNetLicense *MyNet);

  	BOOL EnumNetProviders(void);
	BOOL EnumTCPSessions(void);
	BOOL EnumUsers(void);
	BOOL CreateUser(void);
	BOOL BroadcastLicense(void);
	static void MessageSpin(void * lpvThreadParam);


};
